Ajouter un compte bancaire de retrait
curl --request POST \
--url https://sandbox.inflowafrica.com/api/v1/payout-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "ZMW",
"accountName": "<string>",
"accountNumber": "<string>",
"bankCode": "<string>",
"institutionId": "<string>",
"iban": "<string>",
"bic": "<string>",
"routingNumber": "<string>",
"country": "<string>"
}
'import requests
url = "https://sandbox.inflowafrica.com/api/v1/payout-accounts"
payload = {
"currency": "ZMW",
"accountName": "<string>",
"accountNumber": "<string>",
"bankCode": "<string>",
"institutionId": "<string>",
"iban": "<string>",
"bic": "<string>",
"routingNumber": "<string>",
"country": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currency: 'ZMW',
accountName: '<string>',
accountNumber: '<string>',
bankCode: '<string>',
institutionId: '<string>',
iban: '<string>',
bic: '<string>',
routingNumber: '<string>',
country: '<string>'
})
};
fetch('https://sandbox.inflowafrica.com/api/v1/payout-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Retraits
Ajouter un compte bancaire de retrait
POST
/
v1
/
payout-accounts
Ajouter un compte bancaire de retrait
Autorisations
Saisissez votre clé API commençant par gtw_sk_
Corps
application/json
Exemple:
"ZMW"
Utilisez bank_account pour les comptes bancaires (ou omettez), mobile_money pour le mobile money, ou gtw_wallet pour payer un utilisateur GlobalTravelWallet avec son publicId à 10 caractères dans accountNumber.
Options disponibles:
bank_account, mobile_money, gtw_wallet Numéro de compte bancaire ou MSISDN pour le mobile money
Code bancaire/CBN ou opérateur mobile money (par ex. MTN_MOMO_ZMB)
Identifiant d'établissement Gravv (mobile money / banque multi-devises)
Code de routage US ou sort code UK
Réponse
Bénéficiaire créé
⌘I